<div id="headline">
    <div class="container">
        {$headline1|T|headline1}
        <div class="pull-right headline-select">
            {form from=$filter_form}
                <div id="div-paginator" class="box_filter{if !count($one_level_navigation) > 0 && 0 == $goods.items_total && !$is_filter} active{/if}">
                    <i class="fa fa-sort"></i> <span class="sort_by">{$elements.sort_by.element}</span>
                    <i class="fa fa-list-ol"></i> <span class="items_per_page">{$elements.items_per_page.element}</span>
                    {* Hidden element for search *}
                    {$elements.q.element}
                    {* Hidden element for view type *}
                    {$elements.type.element}
                </div>
            {/form}
        </div>
    </div>
</div>

{* breadcrumb *}
{if $breadcrumb}
<div id="breadcrumb" itemprop="breadcrumb">
    <div class="container">
        <ul class="clearfix list-unstyled">
            {foreach from=$breadcrumb item='bitem' name='breadcrumb'}
                {if !$smarty.foreach.breadcrumb.last}
                <li>
                    <a href="{$bitem.url}" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</a>
                </li>
                {else}
                <li>
                    <span class="last" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</span>
                </li>
                {/if}
            {/foreach}
        </ul>
    </div>
</div>
{/if}

<div class="container">
    <div class="row">
		<div class="col-lg-3 col-md-4 top-30-sm top-30-xs col-lg-offset-1 col-md-offset-1 hidden-xs" id="sidebar">
			{* category menu tabs *}
			<div class="tabs main">
				<ul id="demo-tab-1" class="tabNavigation clearfix">
					{* Print category menu  *}
					<li class="active"><a data-toggle="tab" href="#tab1"><i class="icon-gift"></i> {"text_category"|T}</a></li>
					{* Print producer menu *}
					<li><a data-toggle="tab" href="#tab2"> {"text_producer"|T}</a></li>
				</ul>
				<div id="tab1" class="tabs-container kategorie active">
					<div class="widget-content">
						{* Print category menu  *}
						{category_menu data=$category_data select=$select_category}
					</div>
				</div>
				<div id="tab2" class="tabs-container">
					 <div class="widget-content">
						{* Print producer menu *}
						<ul>
						{foreach from=$producers item=producer}
							<li class="{if $select_producer == $producer.id}selected{else}{/if}"><a href="{url name='producers' url=$producer.url}">{$producer.name|T}</a></li>
						{/foreach}
						</ul>
					</div>
				</div>
			</div>

			{* Zbozi v akci *}
			{if $section == 'goods' && $item}
				{boxy name="ActionGoods" hidden_id=$item.id}
				{boxy name="NewsGoods" hidden_id=$item.id}
			{else}
				{boxy name="ActionGoods"}
				{boxy name="NewsGoods"}
			{/if}
			{boxy name="BestSeller"}

			{* Technicka podpora *}
			{boxy name="HelpLine"}

			{* Heureka Overeno zakazniky box *}
			{if $heureka_widget}
			<div class="widget">
				<div class="box-title">{'label_overeno_zakazniky'|T|escape}</div>
				<div class="box-content" id="heureka-box">
					{$heureka_widget}
				</div>
			</div>
			{/if}

			{* Facebook boxes *}
			{if $facebook_box_set.viewFlag}
				<div class="boxy">
					{fb_pagelike width="280" boxSet=$facebook_box_set}
				</div>
			{elseif $is_facebook_page_like}
				<div class="boxy">
					{fb_pagelike width="280" profile_id=$facebook_page_id stream=$facebook_show_page_stream }
				</div>
			{/if}
			{if $is_facebook_recommendations}
			<div class="widget">
				<div class="boxy">
				{fb_recommendations width="240" }
				</div>
			</div>
			{/if}

			{* Partners *}
			<div class="widget">
				{boxy name="LinksPartners"}
			</div>

			{* blog tree menu *}
			{if $blog_data}
			<div class="widget">
				<h4 class="widget-title">{'_label_blog_tree'|T|escape}</h4>
				<div class="box-content" id="blog">
					{* Print category menu  *}
					<nav class="blog-menu">
						{blog_menu data=$blog_data select=$select_blog}
					</nav>
				</div>
			</div>
			{/if}

			{* Static text *}
			{boxy name="StaticText"}
			<div class="fb-place"></div>

		</div>
        <div class="col-lg-9 col-md-8 single product" id="content">
			{if 0 == $goods.items_total && !$is_filter}
			<div class="message">
				{$description_text}
				{'text_no_goods'|T}
			</div>
			{else}
				{* Prelude list - category, search, producers *}
				<div class="prelude">
					{text key='list_prelude'}
				</div>
				{if $description_text}
				<div class="category-description">
					{image class="icon" size="middle" type="category" path=$category_icon.path image=$category_icon.file alt=$category_icon.description|escape}
					{$description_text}
					<div class="clearfix"></div>
				</div>
				{/if}
				<div class="select-box">
					<div id="left-tree">
					{form from=$filter_form}
						{* Goods iterator*}
						{if 0 != $goods.items_total || $is_filter}
						<div id="div-filter" class="box_filter{if count($one_level_navigation) == 0 || $is_filter} active{/if}">
							{* Filter Box *}
							<div class="row">
								<fieldset class="filter ">
									<div class="col-lg-5">
										{* Hidden element for search *}
										{$elements.q.element}
										{* Hidden element for view type *}
										{$elements.type.element}

										{* Standart filter *}
										<span class="text-name">{"label_type"|T}</span><br/>
										{$elements.only_action.element} {$elements.only_action.label}
										{$elements.only_news.element} {$elements.only_news.label}
									</div>
									<div class="col-lg-5">
										{* Filter By Producer   *}
										{if ($show_producers_filter)}
											<span class="text-name">{"label_producers"|T}</span>
											<br/>
											{if $count_producers_in_category}
											   {$elements.producers.element}
											{else}
												{'text_no_producer_in_category'|T}
											{/if}
										{/if}
									</div>
									<div class="col-lg-2">
										<div class="button">
											{$elements.filter_submit.element}
										</div>
									</div>
									{* Parameter filter *}
									{if ($filter)}
									<div class="parameter-box filters col-lg-4">
										<fieldset>
										{foreach from=$filter key='filter_key' item='filter_values'}
											<div>
												<legend>{$filter_values.name}:</legend>
												{foreach from=$filter_values.values key='filter_option_key' item='filter_option_values' name='filter'}
													<span>
														<label for="{$filter_key}-{$smarty.foreach.filter.index}">
														<input name="{$filter_key}[]"
															id="{$filter_key}-{$smarty.foreach.filter.index}"
															value="{$filter_option_key}"
															class="filter_params"
															{if $filter_option_values.active}checked="checked"{/if}
															type="checkbox">{$filter_option_values.name}
														</label>
													</span>
												{/foreach}
											</div>
										{/foreach}
										</fieldset>
									</div>
									{/if}
								</fieldset>
							</div>
						</div>
						{/if}
					</div>
					{/form}
					{if 0 != $goods.items_total || $is_filter}
						{* Goods iterator*}
						{if 0 == $goods.items_total}
						<div class="message">
							{'text_no_goods_by_filter'|T}
						</div>
						{else}
						</div>
						{* Image type view *}
						<div class="product-list">
							{foreach from=$goods.data item='item' name="products" }
							<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
								<div class="product-item">
									<div class="addToCartBtn"><a href="{url name='goods' url=$item.url}"><i class="fa fa-plus-circle"></i></a></div>
									<div class="product-image">
										<div class="action_buttons">
											{if $item.in_action}
											<div class="action_banner">{"label_action_product"|T}</div>
											{/if}
											{if $item.is_news}
											<div class="news_banner">{"label_news_product"|T}</div>
											{/if}
										</div>
										<a href="{url name='goods' url=$item.url}">
											{if $item.img_file}
												{image size="middle" class="img-responsive" type="goods" path=$item.img_path image=$item.img_file alt=$item.name|escape}
											{else}
												<img class="img-responsive" src="{$web_path}/images/no_image_middle.png" alt="{'text_no_image'|T}" />
											{/if}
										</div>
										</a>
									<div class="product-info">
										<div class="product-short-content">
											<h5><a href="{url name='goods' url=$item.url}">{$item.name|escape}</a></h5>
											{$item.short_text}
										</div>
									</div>
									<div class="availability">{'text_availability'|T}: {$item.default_availability|T}</div>

									{if $item.price_vat != 0 || !$price_on_demand}
										{* Add to cart  *}
											<div class="add-cart pull-right">
												{if $item.parameters|@count == 1}
													<form method="post" action="{url name='basket_add'}" class="order{if $item.hasAdditional} has-variants{/if}">
														<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
														<input type="hidden" name="availability" value="{$item.parameters[0].availability}" class="param" />
														<input type="hidden" name="param_id" value="{$item.parameters[0].id}" class="param" />
														<input type="hidden" name="count" value="1" class="param" />
														<input type="hidden" name="voucher" value="{$item.as_voucher}" class="param" />
														<div class="value">
															<button type="submit" name="add_cart" value="sended" class="addToCart"><i class="fa fa-shopping-cart"></i></button>
														</div>
													</form>
												{elseif $item.parameters|@count == 0}
													<form method="post" action="{url name='basket_add'}" class="order{if $item.hasAdditional} has-variants{/if}">
														<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
														<input type="hidden" name="availability" value="{$item.availability}" class="param" />
														<input type="hidden" name="param_id" value="{$item.parametr_id}" class="param" />
														<input type="hidden" name="count" value="1" class="param" />
														<input type="hidden" name="voucher" value="{$item.as_voucher}" class="param" />
														<div class="value">
															<button type="submit" name="add_cart" value="sended" class="addToCart"><i class="fa fa-shopping-cart"></i></button>
														</div>
													</form>
												{else}

												{assign var="pocet" value=$item.parameters|@count}

												{foreach from=$item.parameters item=prmtr name=parametrs}
													{if $prmtr.zakazat_prodej == 1}
														{assign var="pocet" value=$pocet-1}
													{/if}
												{/foreach}


												{if $pocet != 0}
													<button type="button" class="addToCart" data-toggle="modal" data-target="#chooseVariant"
															data-variants='{$item.parameters|@json_encode}'
															data-id="{$item.pid}"
															data-name="{$item.name|escape}"
															data-voucher="{$item.as_voucher}">
														<i class="fa fa-shopping-cart"></i>
													</button>
												{/if}
											{/if}
										</div>
									{/if}

									<div class="price pull-left">
										{if !$item.same_price}{'text_od'|T}:{/if}
										<span class="product-price new">{if $item.price_vat != 0 || !$price_on_demand}{$item.price_vat|money}{else}{'label_price_on_demand'|T}{/if}</span>
									</div>
									{assign var='vat' value=$item.vat|percents}

									{if !$item.disableVAT}
									<div class="price-text">
										{if strpos($vat, "0&nbsp;%") === 'FALSE'}{'text_with_vat_supplement'|T:$vat}{else}{'text_with_vat_supplement'|T:''}{/if}
									</div>
									{/if}
								</div>
							</div>
							{/foreach}

						{*/if*}
						{* Bottom paginator *}
						{paginator
							total=$goods.items_total
							page=$goods.actual_page
							count=$goods.items_per_page
							url=$paginator_url
							separator=''
							nextText='_label_paginator_next'|T
							prevText='_label_paginator_prev'|T
							firstText='_label_paginator_first'|T
							lastText='_label_paginator_last'|T}
						{/if}
						</div>
					{/if}
			{/if}
		</div>
	</div>
</div>
